// obs: tomar cuidado para os laços não gerarem regras css desnecessárias, apenas aumentando o tamanho do arquivo de estilo, comprometendo a performance do site.
/* obs: é mais interessante usar controle de fluxo dentro de funções */
/*
========
laço for
========
*/
// var de controle e início e fim determinados
@for $i from 1 through 3 {
  .class-#{$i} {
    color: red;
  }
}

/*
=========
laço each
=========
*/
// var de controle e iterável
$my-colors: red, green, blue;
@each $color in $my-colors {
  .btn-#{$color} {
    background-color: $color;
  }
}

/*
==========
laço while
==========
*/
// fim controlado por condição / booleano
$i: 0;
@while $i < 5 {
  .my-class-#{$i} {
    padding: 50px;
  }
  $i: $i + 1;
}
